Package com.independentsoft.office.word.tables

# Class TablePropertyExceptions

java.lang.Object
com.independentsoft.office.word.tables.TablePropertyExceptions

public class TablePropertyExceptions extends Object
The Class TablePropertyExceptions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TablePropertyExceptions()`
  Instantiates a new table property exceptions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TablePropertyExceptions`
  `clone()`
  `HorizontalAlignmentType`
  `getAlignment()`
  Gets the alignment.
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `Width`
  `getCellBottomMargin()`
  Gets the cell bottom margin.
  `Width`
  `getCellLeftMargin()`
  Gets the cell left margin.
  `Width`
  `getCellRightMargin()`
  Gets the cell right margin.
  `Width`
  `getCellSpacing()`
  Gets the cell spacing.
  `Width`
  `getCellTopMargin()`
  Gets the cell top margin.
  `HorizontalInsideBorder`
  `getHorizontalInsideBorder()`
  Gets the horizontal inside border.
  `Width`
  `getIndent()`
  Gets the indent.
  `TableLayout`
  `getLayout()`
  Gets the layout.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `Shading`
  `getShading()`
  Gets the shading.
  `TableStyleConditionalFormatting`
  `getTableStyleConditionalFormatting()`
  Gets the table style conditional formatting.
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `VerticalInsideBorder`
  `getVerticalInsideBorder()`
  Gets the vertical inside border.
  `Width`
  `getWidth()`
  Gets the width.
  `void`
  `setAlignment​(HorizontalAlignmentType alignment)`
  Sets the alignment.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setCellBottomMargin​(Width cellBottomMargin)`
  Sets the cell bottom margin.
  `void`
  `setCellLeftMargin​(Width cellLeftMargin)`
  Sets the cell left margin.
  `void`
  `setCellRightMargin​(Width cellRightMargin)`
  Sets the cell right margin.
  `void`
  `setCellSpacing​(Width cellSpacing)`
  Sets the cell spacing.
  `void`
  `setCellTopMargin​(Width cellTopMargin)`
  Sets the cell top margin.
  `void`
  `setHorizontalInsideBorder​(HorizontalInsideBorder horizontalInsideBorder)`
  Sets the horizontal inside border.
  `void`
  `setIndent​(Width indent)`
  Sets the indent.
  `void`
  `setLayout​(TableLayout layout)`
  Sets the layout.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setShading​(Shading shading)`
  Sets the shading.
  `void`
  `setTableStyleConditionalFormatting​(TableStyleConditionalFormatting tableStyleConditionalFormatting)`
  Sets the table style conditional formatting.
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setVerticalInsideBorder​(VerticalInsideBorder verticalInsideBorder)`
  Sets the vertical inside border.
  `void`
  `setWidth​(Width width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TablePropertyExceptions

    public TablePropertyExceptions()
    Instantiates a new table property exceptions.

- ## Method Details

  - ### clone

    public TablePropertyExceptions clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public HorizontalAlignmentType getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(HorizontalAlignmentType alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getShading

    public Shading getShading()
    Gets the shading.
    Returns:
      the shading

  - ### setShading

    public void setShading​(Shading shading)
    Sets the shading.
    Parameters:
      `shading` - the new shading

  - ### getCellTopMargin

    public Width getCellTopMargin()
    Gets the cell top margin.
    Returns:
      the cell top margin

  - ### setCellTopMargin

    public void setCellTopMargin​(Width cellTopMargin)
    Sets the cell top margin.
    Parameters:
      `cellTopMargin` - the new cell top margin

  - ### getCellBottomMargin

    public Width getCellBottomMargin()
    Gets the cell bottom margin.
    Returns:
      the cell bottom margin

  - ### setCellBottomMargin

    public void setCellBottomMargin​(Width cellBottomMargin)
    Sets the cell bottom margin.
    Parameters:
      `cellBottomMargin` - the new cell bottom margin

  - ### getCellRightMargin

    public Width getCellRightMargin()
    Gets the cell right margin.
    Returns:
      the cell right margin

  - ### setCellRightMargin

    public void setCellRightMargin​(Width cellRightMargin)
    Sets the cell right margin.
    Parameters:
      `cellRightMargin` - the new cell right margin

  - ### getCellLeftMargin

    public Width getCellLeftMargin()
    Gets the cell left margin.
    Returns:
      the cell left margin

  - ### setCellLeftMargin

    public void setCellLeftMargin​(Width cellLeftMargin)
    Sets the cell left margin.
    Parameters:
      `cellLeftMargin` - the new cell left margin

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getHorizontalInsideBorder

    public HorizontalInsideBorder getHorizontalInsideBorder()
    Gets the horizontal inside border.
    Returns:
      the horizontal inside border

  - ### setHorizontalInsideBorder

    public void setHorizontalInsideBorder​(HorizontalInsideBorder horizontalInsideBorder)
    Sets the horizontal inside border.
    Parameters:
      `horizontalInsideBorder` - the new horizontal inside border

  - ### getVerticalInsideBorder

    public VerticalInsideBorder getVerticalInsideBorder()
    Gets the vertical inside border.
    Returns:
      the vertical inside border

  - ### setVerticalInsideBorder

    public void setVerticalInsideBorder​(VerticalInsideBorder verticalInsideBorder)
    Sets the vertical inside border.
    Parameters:
      `verticalInsideBorder` - the new vertical inside border

  - ### getCellSpacing

    public Width getCellSpacing()
    Gets the cell spacing.
    Returns:
      the cell spacing

  - ### setCellSpacing

    public void setCellSpacing​(Width cellSpacing)
    Sets the cell spacing.
    Parameters:
      `cellSpacing` - the new cell spacing

  - ### getIndent

    public Width getIndent()
    Gets the indent.
    Returns:
      the indent

  - ### setIndent

    public void setIndent​(Width indent)
    Sets the indent.
    Parameters:
      `indent` - the new indent

  - ### getLayout

    public TableLayout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(TableLayout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### getTableStyleConditionalFormatting

    public TableStyleConditionalFormatting getTableStyleConditionalFormatting()
    Gets the table style conditional formatting.
    Returns:
      the table style conditional formatting

  - ### setTableStyleConditionalFormatting

    public void setTableStyleConditionalFormatting​(TableStyleConditionalFormatting tableStyleConditionalFormatting)
    Sets the table style conditional formatting.
    Parameters:
      `tableStyleConditionalFormatting` - the new table style conditional formatting

  - ### getWidth

    public Width getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Width width)
    Sets the width.
    Parameters:
      `width` - the new width